Bug 1417371 - lldb doesn't complete commands
Summary: lldb doesn't complete commands
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lldb
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Stellard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1433463
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-28 11:34 UTC by Georg Sauthoff
Modified: 2017-12-12 10:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:38:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Georg Sauthoff 2017-01-28 11:34:46 UTC
Description of problem:
A `dnf install lldb` doesn't install a lldb with command completion.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. # dnf install lldb
2. $ lldb curl
3. (lldb) h<Tab>

Actual results:
lldb curl
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: No module named lldb.embedded_interpreter
(lldb) h    

Expected results:
No ImportError and the completed command 'help' or a list of suggestions.

Additional info:
lldb does not depend on python-lldb which provides lldb.embedded_interpreted.

Manually installing the python-lldb package doesn't improve the situation, though.

With it installed I get:
$ lldb curl
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/lldb/embedded_interpreter.py", line 24, in <module>
    readline.parse_and_bind('tab: complete')
AttributeError: 'module' object has no attribute 'parse_and_bind'
(lldb)

It seems that the `import readline` in embedded_interpreter.py imports /usr/lib64/python2.7/site-packages/lldb/readline.so instead of the default /usr/lib64/python2.7/lib-dynload/readline.so one.

Comment 1 Tom Stellard 2017-03-17 20:00:15 UTC
*** Bug 1433463 has been marked as a duplicate of this bug. ***

Comment 2 Peter Hull 2017-03-31 09:29:24 UTC
Note: the recent update python-lldb 3.9.1 1.fc25.2 fixes the errors, but completion does not work. Pressing ^I inserts a literal tab. Command line history doesn't work either.

Comment 3 Fedora End Of Life 2017-11-16 19:41:32 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:38:32 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.